LLMS_REST_Enrollments_Controller::build_collection_params()
Build the query params for the objects collection.
Return Return
(array) Collection parameters.
Source Source
File: libraries/lifterlms-rest/includes/server/class-llms-rest-enrollments-controller.php
protected function build_collection_params() {
$query_params = parent::get_collection_params();
unset( $query_params['include'], $query_params['exclude'] );
$query_params['status'] = array(
'description' => __( 'Filter results to records matching the specified status.', 'lifterlms' ),
'enum' => array_keys( llms_get_enrollment_statuses() ),
'type' => 'string',
'validate_callback' => 'rest_validate_request_arg',
);
$query_params['post'] = array(
'description' => __( 'Limit results to a specific course or membership or a list of courses and/or memberships. Accepts a single post id or a comma separated list of post ids.', 'lifterlms' ),
'type' => 'string',
'validate_callback' => 'rest_validate_request_arg',
);
return $query_params;
}
Expand full source code Collapse full source code View on GitHub
Changelog Changelog
| Version | Description |
|---|---|
| 1.0.0-beta.10 | Fixed 'context' query parameter schema. |
| 1.0.0-beta.1 | Introduced. |